Skip to main content
POST
Edit an ontology's draft

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

artifact_id
string<uuid>
required

The ontology's artifact ID.

Body

application/json

Apply changes to an ontology's draft, all or nothing.

ops
OntologyEditOp · object[]
required
Required array length: 1 - 200 elements
changelog
string | null
Maximum string length: 4000
start_draft
boolean
default:false

With no draft, start one from the newest version first.

Response

Successful Response

The draft after an edit.

artifact_id
string<uuid>
required
version_id
string<uuid>
required
version
string
required
applied
integer
required
counts
Counts · object
required
findings
OntologyFinding · object[]
required
created
Created · object[]

Ids generated for added groups and concepts: {op_index, op, id}.